Subject: Re: [PATCH 0/3] commit: convert pop_most_recent_commit() to prio_queue

From: Jeff King <[email-masked]>
Date: Sat, 19 Jul 2025 02:45:16 -0400

On Wed, Jul 16, 2025 at 11:38:39AM +0200, René Scharfe wrote:

> Yes, commit_list_insert_by_date() is stable, as it inserts commits after
> ones with the same date.  Items are popped from the top, so this ensures
> FIFO behavior for commits with the same date.
> 
> prio_queue ensures stability using an ID and favors lower ones, so it
> provides the same order.
> 
> We should add unit tests for that, no?

Probably wouldn't hurt to do so, but I don't think doing so needs to
hold up your series.

-Peff